VOLDUMP(8)

NAME
voldump - Dump an AFS volume without using the Volume Server

SYNOPSIS
voldump -part <partition> -volumeid <volume id>
    [-file <dump file>] [-time <dump from time>]
    [-verbose] [-help]

voldump -p <partition> -vo <volume id>
    [-f <dump file>] [-time <dump from time>]
    [-ve] [-h]

DESCRIPTION
voldump dumps an AFS volume in the format used by vos dump without using the Volume Server. It must be run on the file server machine and usually must be run as the superuser "root" to have permissions to read the file server data. It's primary use is to recover data from a file server machine where the Volume Server cannot be started for some reason.

The dump output will go to standard output, or to a file if -file is specified. vos restore can be used to load the resulting dump into a new AFS volume. voldump always does a full dump.

CAUTIONS
Normally, use vos dump instead of this command. voldump is a tool of last resort to try to extract data from the raw data structures stored on the file server machine and is not as regularly tested or used as the normal vos dump implementation.

If the AFS volume being dumped changes while voldump is running, the results may be inconsistent. If the File Server and Volume Server are running, stop them with bos shutdown or a similar method before running this command.

OPTIONS

-part <partition>
    Names the partition on which the volume to be dumped is located. voldump does not take the normal full range of ways of specifying a partition. Instead, partition must be either a single letter between "a" and "z", corresponding to /vicepa through /vicepz, or the full path to the file server partition. "aa" is not recognized; use /vicepaa instead.

-volumeid <volume id>
    Specifies the ID of the volume to dump. The volume must be specified by numeric ID, not by name.

-file <dump file>
    Specifies the output file for the dump. If this option is not given, the volume will be dumped to standard output.

-time <dump from time>
    Specifies whether the dump is full or incremental. Omit this argument to create a full dump, or provide one of the valid values listed in vos_dump(1).

-verbose
    Asks for a verbose trace of the dump process. This trace information will be sent to standard error.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command dumps the volume 1936964939 on the /vicepb partition to the file /tmp/volume.dump:

    % voldump -part /vicepb -volumeid 1936964939 -file /tmp/volume.dump

PRIVILEGE REQUIRED
The issuer must have read access to the file server data stored in the specified partition. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
bos_shutdown(8), restorevol(1), volserver(8), vos_dump(1), vos_restore(1)

COPYRIGHT
Copyright 2005 Russ Allbery <rra@stanford.edu>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Russ Allbery for OpenAFS.